summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2012-10-28 09:43:49 +0000
committerPacho Ramos <pacho@gentoo.org>2012-10-28 09:43:49 +0000
commit01d15fe9fe3cdf064f5e7f95e21beaf59c91e46a (patch)
tree154174d0df09deca23e4dfa9ce6f78601ac896a7 /eclass/emul-linux-x86.eclass
parentFix spelling of CONFIG_CHECK for vhost-net. (diff)
downloadhistorical-01d15fe9fe3cdf064f5e7f95e21beaf59c91e46a.tar.gz
historical-01d15fe9fe3cdf064f5e7f95e21beaf59c91e46a.tar.bz2
historical-01d15fe9fe3cdf064f5e7f95e21beaf59c91e46a.zip
Do not hardcode lib32, bug #429726 by SpanKY.
Diffstat (limited to 'eclass/emul-linux-x86.eclass')
-rw-r--r--eclass/emul-linux-x86.eclass12
1 files changed, 10 insertions, 2 deletions
diff --git a/eclass/emul-linux-x86.eclass b/eclass/emul-linux-x86.eclass
index 7496f9c96f4f..ce007096628a 100644
--- a/eclass/emul-linux-x86.eclass
+++ b/eclass/emul-linux-x86.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/emul-linux-x86.eclass,v 1.12 2012/10/28 09:02:24 pacho Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/emul-linux-x86.eclass,v 1.13 2012/10/28 09:43:49 pacho Exp $
#
# Original Author: Mike Doty <kingtaco@gentoo.org>
@@ -8,7 +8,7 @@
# Purpose: Providing a template for the app-emulation/emul-linux-* packages
#
-inherit versionator
+inherit multilib versionator
if version_is_at_least 20110129; then
IUSE="development"
@@ -76,4 +76,12 @@ emul-linux-x86_src_install() {
find "${S}" -depth -type d -print0 | xargs -0 rmdir 2&>/dev/null
cp -pPR "${S}"/* "${ED}"/ || die "copying files failed!"
+
+ # Do not hardcode lib32, bug #429726
+ local x86_libdir=$(get_abi_LIBDIR x86)
+ if [[ ${x86_libdir} != "lib32" ]] ; then
+ ewarn "Moving lib32/ to ${x86_libdir}/; some libs might not work"
+ mv "${D}"/usr/lib32 "${D}"/usr/${x86_libdir} || die
+ mv "${D}"/lib32 "${D}"/${x86_libdir} || die
+ fi
}